# Trace chapter
# make sure variable is an array
set dynamic() {}
trace variable dynamic r FixupDynamic
proc FixupDynamic {name index op} {
	global dynamic	;# We know this is $name
	if ![info exists dynamic($index)] {
		set dynamic($index) 0
	}
}
